import { getWaystoneForId } from "./waystone_registry";
const itemBoundToKey = "blay_waystones:bound_to";
export function getItemBoundTo(itemStack) {
    const waystoneId = itemStack.getDynamicProperty(itemBoundToKey);
    return waystoneId ? getWaystoneForId(waystoneId) : undefined;
}
export function setItemBoundTo(itemStack, waystone) {
    if (waystone) {
        itemStack.setDynamicProperty(itemBoundToKey, waystone.id);
        if (waystone.data.name) {
            itemStack.setLore([colorFromName(waystone.data.name) + waystone.data.name]);
        }
    }
    else {
        itemStack.setDynamicProperty(itemBoundToKey, undefined);
        itemStack.setLore([]);
    }
}
function colorFromName(name) {
    const colors = ["§1", "§2", "§3", "§4", "§5", "§6", "§a", "§b", "§c", "§d", "§e", "§m", "§n", "§p", "§s", "§t", "§u"];
    const hash = name.split("").reduce((a, b) => a + b.charCodeAt(0), 0);
    return colors[hash % colors.length];
}

//# sourceMappingURL=../../_blay_waystonesDebug/bound_items.js.map
