import { system, world } from "@minecraft/server";
import { vectorCenter } from "./utils";
export async function playRegularTeleportEffects(player, waystone) {
    try {
        player.dimension.spawnParticle("blay_waystones:waystone_teleport", player.location);
        player.dimension.playSound("portal.trigger", player.location, {
            volume: 0.25,
        });
    }
    catch (ignored) { }
    // We wait a tick to make sure the client arrived at the new location.
    // This might not be enough - will have to test in multiplayer. But a time-based approach is the only thing we can possibly do as of now.
    await system.waitTicks(1);
    if (!player.isValid()) {
        return;
    }
    try {
        const targetDimension = world.getDimension(waystone.dimensionId);
        targetDimension.spawnParticle("blay_waystones:waystone_teleport", player.location);
        targetDimension.playSound("portal.travel", waystone.pos, {
            volume: 0.25,
        });
    }
    catch (ignored) { }
}
export async function playWarpPlateTeleportEffects(from, to) {
    try {
        const sourceDimension = world.getDimension(from.dimensionId);
        sourceDimension.spawnParticle("blay_waystones:warp_plate_teleport", vectorCenter(from.pos));
        sourceDimension.playSound("portal.trigger", from.pos, {
            volume: 0.25,
        });
    }
    catch (ignored) { }
    // We wait a tick to make sure the client arrived at the new location.
    // This might not be enough - will have to test in multiplayer. But a time-based approach is the only thing we can possibly do as of now.
    await system.waitTicks(1);
    try {
        const targetDimension = world.getDimension(to.dimensionId);
        targetDimension.spawnParticle("blay_waystones:warp_plate_teleport", vectorCenter(to.pos));
        targetDimension.playSound("portal.travel", to.pos, {
            volume: 0.25,
        });
    }
    catch (ignored) { }
}
export async function playWarpPortalTeleportEffects(entity, from, to) {
    try {
        const sourceDimension = world.getDimension(from.dimensionId);
        sourceDimension.spawnParticle("blay_waystones:warp_portal_teleport", entity.location);
        sourceDimension.playSound("portal.trigger", from.pos, {
            volume: 0.25,
        });
    }
    catch (ignored) { }
    // We wait a tick to make sure the client arrived at the new location.
    // This might not be enough - will have to test in multiplayer. But a time-based approach is the only thing we can possibly do as of now.
    await system.waitTicks(1);
    try {
        const targetDimension = world.getDimension(to.dimensionId);
        targetDimension.spawnParticle("blay_waystones:warp_portal_teleport", vectorCenter(to.pos));
        targetDimension.playSound("portal.travel", to.pos, {
            volume: 0.25,
        });
    }
    catch (ignored) { }
}

//# sourceMappingURL=../../_blay_waystonesDebug/teleport_effects.js.map
